﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MontoyaTech.Rest.Net
{
    /// <summary>
    /// An enum containing the available http request methods.
    /// 
    /// https://developer.mozilla.org/en-US/docs/Web/HTTP/Methods
    /// </summary>
    public enum HttpRequestMethod
    {
        Get,
        Head,
        Post,
        Put,
        Delete,
        Connect,
        Options,
        Trace,
        Patch
    }
}
