﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MontoyaTech.Rest.Net
{
    /// <summary>
    /// The outline of an Attribute to hide a given route for client code generation.
    /// </summary>
    [AttributeUsage(AttributeTargets.Method, AllowMultiple = false, Inherited = true)]
    public class RouteHidden : Attribute
    {
        /// <summary>
        /// Creates a default RouteHidden attribute.
        /// </summary>
        public RouteHidden() { }
    }
}
